<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry 
  PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
  "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
<refentry id="news">
<refmeta>
  <refentrytitle role="top_of_page" id="news.top_of_page">お知らせ</refentrytitle>
  <refmiscinfo>Cutterライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
  <refname>お知らせ</refname>
  <refpurpose>Cutterの歴史</refpurpose>
</refnamediv>
<refsect1 id="news.release-1-1-7">
  <title>1.1.7: 2011-02-13</title>
  <refsect2>
  <title>Cutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>growlnotify対応。</para>
</listitem>
</itemizedlist>
</refsect3>

  <refsect3>
  <title>修正</title>
  <itemizedlist>
  <listitem>
  <para>CentOS 5.5で動かない問題を修正。[中村弘輝さんが報告]</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>ドキュメント</title>
  <para>===== 修正</para>
  <itemizedlist>
  <listitem>
  <para>チュートリアルのtypoを修正。[中村弘輝さんが報告]</para>
</listitem>
</itemizedlist>
</refsect2>

  <refsect2>
  <title>感謝</title>
  <itemizedlist>
  <listitem>
  <para>中村弘輝さん</para>
</listitem>
</itemizedlist>
</refsect2>

</refsect1>

<refsect1 id="news.release-1-1-6">
  <title>1.1.6: 2011-02-09</title>
  <refsect2>
  <title>Cutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>ユーティリティの名前変更:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-build-fixture-data-path">cut_build_fixture_data_path()</link>
   -&gt; 
  <link linkend="cut-build-fixture-path">cut_build_fixture_path()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-take-string">gcut_take_string()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-get-fixture-data">cut_get_fixture_data()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-get-fixture-data">gcut_get_fixture_data()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcuteventloop">GCutEventLoop</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcutglibeventloop">GCutGLibEventLoop</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>Debian GNU/Linux squeeze対応。[Romuald Contyさんが提案]</para>
</listitem>
  <listitem>
  <para>Ubuntu Maverick Meerkat対応。</para>
</listitem>
  <listitem>
  <para>Fedora 14対応。</para>
</listitem>
  <listitem>
  <para>cutter.m4: --config-cache対応。</para>
</listitem>
  <listitem>
  <para>cutter.m4: --enable-coverageが更新するMakefileとしてMakefile以外の名前に対応。（AC_CHECK_COVERAGE()の引数にMakefileのファイル名を指定）</para>
</listitem>
  <listitem>
  <para>notify-send対応。</para>
</listitem>
</itemizedlist>
</refsect3>

  <refsect3>
  <title>修正</title>
  <itemizedlist>
  <listitem>
  <para>間違ったテストを修正。[Ilya Baryginさんが提案]</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>cut-diff</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>
  ヘッダーのラベルを指定する
  <link linkend="cut-diff.--label">--labelオプション</link>
  を追加。
</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>感謝</title>
  <itemizedlist>
  <listitem>
  <para>Romuald Contyさん</para>
</listitem>
  <listitem>
  <para>Ilya Baryginさん</para>
</listitem>
</itemizedlist>
</refsect2>

</refsect1>

<refsect1 id="news.release-1-1-5">
  <title>1.1.5: 2010-09-06</title>
  <refsect2>
  <title>Cutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>検証の名前変更:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-assert-path-exist">cut_assert_path_exist()</link>
   -&gt; 
  <link linkend="cut-assert-exist-path">cut_assert_exist_path()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-path-not-exist">cut_assert_path_not_exist()</link>
   -&gt; 
  <link linkend="cut-assert-not-exist-path">cut_assert_not_exist_path()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-string">gcut_assert_equal_string()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ユーティリティの名前変更:</para>
  <itemizedlist>
  <listitem>
  <para>
  <ulink url="GCutEgg.html">GCutEgg</ulink>
   -&gt; 
  <ulink url="GCutProcess.html">GCutProcess</ulink>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-get-source-directory">cut_get_source_directory()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-build-path-array">cut_build_path_array()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-data-has-field">gcut_data_has_field()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-int-new">gcut_list_int_new()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-uint-new">gcut_list_uint_new()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-new-list-int">gcut_take_new_list_int()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-new-list-uint">gcut_take_new_list_uint()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>Ubuntu Lucid Lynx対応。</para>
</listitem>
  <listitem>
  <para>configure終了時に結果を報告。[Romain Tartièreさんが提案]</para>
</listitem>
  <listitem>
  <para>libgoffice-0.8対応。（libgoffice-0.6対応は終了）[Romain Tartièreさんが提案]</para>
</listitem>
  <listitem>
  <para>lcov 1.9対応。#3056684 [Romain Tartièreさんが改良]</para>
</listitem>
  <listitem>
  <para>テスト説明文内の全角スペース表示に対応。</para>
</listitem>
  <listitem>
  <para>サブcutterプロセスがPATH上にあれば動作するように修正。[Romain Tartièreさんが改良]</para>
</listitem>
</itemizedlist>
</refsect3>

  <refsect3>
  <title>修正</title>
  <itemizedlist>
  <listitem>
  <para>ロケールに依存したテストを修正。[Romain Tartièreさんが提案]</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>cut-diff</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>
  diffの周辺何行を表示するかを指定する
  <link linkend="cut-diff.--context-lines">--context-linesオプション</link>
  を追加。
</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>ドキュメント</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>FreeBSDではportsを使うように変更。[Romain Tartièreさんが提案]</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>感謝</title>
  <itemizedlist>
  <listitem>
  <para>Romain Tartièreさん</para>
</listitem>
</itemizedlist>
</refsect2>

</refsect1>

<refsect1 id="news.release-1-1-4">
  <title>1.1.4: 2010-06-10</title>
  <para>CentOS対応。</para>
  <refsect2>
  <title>Cutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-assert-equal-file-raw">cut_assert_equal_file_raw()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-file-raw">cut_assert_not_equal_file_raw()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-not-equal-int64">gcut_assert_not_equal_int64()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-not-equal-uint64">gcut_assert_not_equal_uint64()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-get-test-directory">cut_get_test_directory()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>diffではできるだけタブを利用するように変更</para>
</listitem>
  <listitem>
  <para>CentOS対応</para>
</listitem>
</itemizedlist>
</refsect3>

  <refsect3>
  <title>修正</title>
  <itemizedlist>
  <listitem>
  <para>検証に指定したメッセージが無視される問題の修正</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>ドキュメント</title>
  <refsect3>
  <title>修正</title>
  <itemizedlist>
  <listitem>
  <para>Debian, Ubuntu: ファイルのパスを修正。[Romuald Contyさんが報告]</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>感謝</title>
  <itemizedlist>
  <listitem>
  <para>Romuald Contyさん</para>
</listitem>
</itemizedlist>
</refsect2>

</refsect1>

<refsect1 id="news.release-1-1-3">
  <title>1.1.3: 2010-04-13</title>
  <para>データ駆動テストサポートの強化。</para>
  <refsect2>
  <title>Cutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>AC_CHECK_ENABLE_COVERAGE: 'make check'に失敗してもカバレッジを出力するcoverage-forceターゲットを追加</para>
</listitem>
</itemizedlist>
</refsect3>

  <refsect3>
  <title>バグ修正</title>
  <itemizedlist>
  <listitem>
  <para>不要なメモリ解放を削除 [Reported by Zed Shaw]</para>
</listitem>
  <listitem>
  <para>AC_CHECK_ENABLE_COVERAGEがタブではなく空白を出力する問題の修正</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>GCutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>データ駆動テストサポートの強化</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-data-get-size">gcut_data_get_size()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-data-get-char">gcut_data_get_char()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-data-get-boolean">gcut_data_get_boolean()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-data-get-int64">gcut_data_get_int64()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-data-get-uint64">gcut_data_get_uint64()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-inspect-size">gcut_inspect_size()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-inspect-char">gcut_inspect_char()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-inspect-boolean">gcut_inspect_boolean()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-inspect-double">gcut_inspect_double()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-inspect-int64">gcut_inspect_int64()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-inspect-uint64">gcut_inspect_uint64()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect3>

  <refsect3>
  <title>バグ修正</title>
  <itemizedlist>
  <listitem>
  <para>Mac OS Xでgcut_list_inspect_enum()とgcut_list_inspect_flags()がクラッシュする問題の修正。</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>ドキュメント</title>
  <refsect3>
  <title>バグ修正</title>
  <itemizedlist>
  <listitem>
  <para>Cygwin 1.7での依存パッケージを修正</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>感謝</title>
  <itemizedlist>
  <listitem>
  <para>Zed Shaw</para>
</listitem>
</itemizedlist>
</refsect2>

</refsect1>

<refsect1 id="news.release-1-1-2">
  <title>1.1.2: 2010-04-03</title>
  <para>Windows対応強化。</para>
  <refsect2>
  <title>Cutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>lcov 1.8対応</para>
</listitem>
  <listitem>
  <para>--enable-coverage=SOMETHINGと指定しても動作するようにした[グニャラくんが報告]</para>
</listitem>
  <listitem>
  <para>#2976775: cut_setup()内でのcut_omit()対応[Romain Tartièreさんが報告]</para>
</listitem>
  <listitem>
  <para>Visual Studio C++ 2008でのビルド・テスト実行に対応</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>CppCutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>
  Windows用でのテスト定義用マクロ
  <link linkend="CUT-EXPORT:CAPS">CUT_EXPORT</link>
  を追加
</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>ドキュメント</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>Ubuntu Karmic Koara対応</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>感謝</title>
  <itemizedlist>
  <listitem>
  <para>Romain Tartièreさん</para>
</listitem>
  <listitem>
  <para>グニャラくん</para>
</listitem>
</itemizedlist>
</refsect2>

</refsect1>

<refsect1 id="news.release-1-1-1">
  <title>1.1.1: 2010-03-11</title>
  <para>1.1.0のバグ修正とGObject、sockaddr対応強化。</para>
  <refsect2>
  <title>Cutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>Visual C++で生成されたDLLに対応。</para>
</listitem>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-assert-equal-sockaddr">cut_assert_equal_sockaddr()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>テストユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-equal-sockaddr">cut_equal_sockaddr()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-inspect-sockaddr">cut_inspect_sockaddr()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-make-directory">cut_make_directory()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect3>

  <refsect3>
  <title>修正</title>
  <itemizedlist>
  <listitem>
  <para>stdint.hがあるがinttypes.hがない環境でビルドが失敗する問題の修正</para>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>GCutter</title>
</refsect2>

  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>データ駆動テストサポートの強化:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-data-get-object">gcut_data_get_object()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-list-new">gcut_list_new()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-new-list-object">gcut_take_new_list_object()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-object-free">gcut_list_object_free()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect3>

</refsect1>

<refsect1 id="news.release-1-1-0">
  <title>1.1.0: 2009-11-03</title>
  <para>注意: APIに非互換があります。</para>
  <refsect2>
  <title>Cutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>stdint.hに定義されている型の検証を追加 [はやみずさん]</para>
</listitem>
  <listitem>
  <para>
  <emphasis>API変更</emphasis>
  : 省略可能な検証メッセージを再有効化
</para>
  <para>変更前:</para>
  <programlisting>cut_assert_equal_string(&quot;a&quot;, &quot;b&quot;, &quot;message&quot;);</programlisting>
  <para>変更後:</para>
  <programlisting>cut_assert_equal_string(&quot;a&quot;, &quot;b&quot;, cut_message(&quot;message&quot;));</programlisting>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-message">cut_message()</link>
  の追加
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-set-message">cut_set_message()</link>
  を非推奨に変更
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-set-message-va-list">cut_set_message_va_list()</link>
  を非推奨に変更
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-keep-message">cut_keep_message()</link>
  を非推奨に変更
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>CppCutter</title>
  <refsect3>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cppcut-assert-equal">cppcut_assert_equal()</link>
  が対応する型を追加
</para>
</listitem>
  <listitem>
  <para>namespace内でのテスト定義検出に対応</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="CPPCUT-BEGIN-TEST-DECLS:CAPS">CPPCUT_BEGIN_TEST_DECLS</link>
  を非推奨に変更
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="CPPCUT-END-TEST-DECLS:CAPS">CPPCUT_END_TEST_DECLS</link>
  を非推奨に変更
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>省略可能な検証メッセージに対応</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cppcut-message">cppcut_message()</link>
  の追加
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect3>

</refsect2>

  <refsect2>
  <title>感謝</title>
  <itemizedlist>
  <listitem>
  <para>はやみずさん</para>
</listitem>
</itemizedlist>
</refsect2>

</refsect1>

<refsect1 id="news.release-1-0-9">
  <title>1.0.9: 2009-10-20</title>
  <refsect2>
  <title>改良</title>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-Utilities-for-GHashTable">GHashTable用の検証ユーティリティ</link>
  に関数を追加:
</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-hash-table-inspect-sorted">gcut_hash_table_inspect_sorted()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ハッシュの詳細表示時に内容をキーでソート</para>
</listitem>
  <listitem>
  <para>
  色付き差分表示対応: 
  <inlinemediaobject><imageobject>
  <imagedata fileref="colorized-diff.png" format="PNG">

</imagedata>
</imageobject><textobject>
  <phrase>colorized-diff.png</phrase>
</textobject></inlinemediaobject>
  
</para>
</listitem>
  <listitem>
  <para>テスト実行直前にブレークポイントを設定する--stop-before-testオプションの追加 [奥地さんによる提案]</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-diff">cut-diff</link>
  コマンドの追加
</para>
</listitem>
  <listitem>
  <para>unified diff対応</para>
</listitem>
  <listitem>
  <para>
  C++サポートの追加: 
  <link linkend="cutter-CppCutter">CppCutter</link>
  
</para>
</listitem>
</itemizedlist>
</refsect2>

  <refsect2>
  <title>バグ修正</title>
  <itemizedlist>
  <listitem>
  <para>ロケール依存を修正 [奥地さんによる報告]</para>
</listitem>
</itemizedlist>
</refsect2>

  <refsect2>
  <title>感謝</title>
  <itemizedlist>
  <listitem>
  <para>奥地さん</para>
</listitem>
</itemizedlist>
</refsect2>

</refsect1>

<refsect1 id="news.release-1-0-8">
  <title>1.0.8: 2009-08-29</title>
  <itemizedlist>
  <listitem>
  <para>libsoupサポートの追加:</para>
  <itemizedlist>
  <listitem>
  <para>HTTPクライアント機能:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="soupcut-client-new">soupcut_client_new()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-set-base">soupcut_client_set_base()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-send-message">soupcut_client_send_message()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-get">soupcut_client_get()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-get-n-messages">soupcut_client_get_n_messages()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-get-latest-message">soupcut_client_get_latest_message()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-get-async-context">soupcut_client_get_async_context()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>HTTPサーバー機能:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="soupcut-server-take">soupcut_server_take()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-server-take-new">soupcut_server_take_new()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-server-build-uri">soupcut_server_build_uri()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="soupcut-message-assert-equal-content-type">soupcut_message_assert_equal_content_type()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-assert-equal-content-type">soupcut_client_assert_equal_content_type()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-assert-response">soupcut_client_assert_response()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-assert-equal-body">soupcut_client_assert_equal_body()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="soupcut-client-assert-match-body">soupcut_client_assert_match_body()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-Utilities-for-GHashTable">GHashTable用の検証ユーティリティ</link>
  に関数を追加:
</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-hash-table-string-string-copy">gcut_hash_table_string_string_copy()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>
  <link linkend="users">Cutter利用プロジェクトリスト</link>
  にmroongaを追加
</para>
</listitem>
  <listitem>
  <para>Fedora用rpmパッケージをサポート</para>
</listitem>
  <listitem>
  <para>Debian用debパッケージをサポート</para>
</listitem>
  <listitem>
  <para>Ubuntu用debパッケージをサポート</para>
</listitem>
  <listitem>
  <para>lcov 1.7対応</para>
</listitem>
  <listitem>
  <para>ドキュメント:</para>
  <itemizedlist>
  <listitem>
  <para>
  <ulink url="install-to-ubuntu.html">Ubuntu用インストールドキュメント</ulink>
  を追加
</para>
</listitem>
  <listitem>
  <para>
  <ulink url="install-to-freebsd.html">FreeBSD用インストールドキュメント</ulink>
  を追加
</para>
</listitem>
  <listitem>
  <para>
  <ulink url="install-to-mac-os-x.html">Mac OS X用インストールドキュメント</ulink>
  を追加
</para>
</listitem>
  <listitem>
  <para>
  <ulink url="install-to-solaris.html">Solaris用インストールドキュメント</ulink>
  を追加
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>1.0.7: 2009-05-20</title>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cutter-Version-Information">バージョン情報</link>
  を提供
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-data-get-boxed">GBoxed型のテストデータ</link>
  をサポート
</para>
</listitem>
  <listitem>
  <para>クラッシュ時のテスト名表示（可能なら）</para>
</listitem>
  <listitem>
  <para>共有ライブラリ解析処理の追加</para>
  <itemizedlist>
  <listitem>
  <para>ELF（Linux/*BSD）、PE（Windows）、Mach-O（Mac OS X）に対応</para>
</listitem>
  <listitem>
  <para>BFDによる解析処理をデフォルト無効に変更</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ドキュメント:</para>
  <itemizedlist>
  <listitem>
  <para>
  <ulink url="cutter.html">cutterコマンドのman</ulink>
  を追加
</para>
</listitem>
  <listitem>
  <para>
  <ulink url="install-to-debian.html">Debian用インストールドキュメント</ulink>
  を追加
</para>
</listitem>
  <listitem>
  <para>
  <ulink url="install-to-cygwin.html">Cygwin用インストールドキュメント</ulink>
  を追加
</para>
</listitem>
  <listitem>
  <para>
  <ulink url="tutorial.html">チュートリアル</ulink>
  にCygwin関連の注意書きを追加[山川さん]
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>テストユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-build-path">cut_build_path()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-assert-equal-boolean">cut_assert_equal_boolean()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-boolean">cut_assert_not_equal_boolean()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-equal-substring">cut_assert_equal_substring()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-substring">cut_assert_not_equal_substring()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-double">cut_assert_not_equal_double()</link>
   [グニャラくん]
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-int">cut_assert_not_equal_int()</link>
   [グニャラくん]
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-uint">cut_assert_not_equal_uint()</link>
   [グニャラくん]
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-memory">cut_assert_not_equal_memory()</link>
   [グニャラくん]
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-size">cut_assert_not_equal_size()</link>
   [グニャラくん]
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-not-equal-string">cut_assert_not_equal_string()</link>
   [グニャラくん]
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-not-equal-pid">gcut_assert_not_equal_pid()</link>
   [グニャラくん]
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>互換性:</para>
  <itemizedlist>
  <listitem>
  <para>これまでの&quot;cut_&quot;プリフィックスなしのフィクスチャ用関数を非推奨に変更。[グニャラくん]</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="setup">setup()</link>
   -&gt; 
  <link linkend="cut-setup">cut_setup()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="teardown">teardown()</link>
   -&gt; 
  <link linkend="cut-teardown">cut_teardown()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="startup">startup()</link>
   -&gt; 
  <link linkend="cut-startup">cut_startup()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="shutdown">shutdown()</link>
   -&gt; 
  <link linkend="cut-shutdown">cut_shutdown()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>バグ修正:</para>
  <itemizedlist>
  <listitem>
  <para>チュートリアルのtypoを修正: [海野さん]</para>
</listitem>
  <listitem>
  <para>ファイルディスクリプタのリダイレクト方法の修正: [海野さん]</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>--disable-signal-handlingオプションの追加</para>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>1.0.6: 2009-03-01</title>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="users">Cutter利用プロジェクトリスト</link>
  を追加
</para>
</listitem>
  <listitem>
  <para>
  <ulink url="GCutEgg.html">外部コマンドを便利に利用するためのAPI</ulink>
  を追加
</para>
</listitem>
  <listitem>
  <para>バックトレース検出機能の改良:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="CUT-RELATIVE-PATH:CAPS">CUT_RELATIVE_PATH</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証のユーザ指定のメッセージ関連APIを改良:</para>
  <itemizedlist>
  <listitem>
  <para>省略可能なメッセージを非推奨に変更</para>
  <itemizedlist>
  <listitem>
  <para>GCC以外のコンパイラをサポートするため</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証とは別にユーザ指定のメッセージを指定するAPIの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-set-message">cut_set_message()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-set-message-va-list">cut_set_message_va_list()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>複数の検証で同じメッセージを利用できるAPIの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-keep-message">cut_keep_message()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>データ駆動テスト作成支援の強化:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cutter-Convenience-test-data-API">便利なテストデータ用API</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>フィクスチャ関数へ&quot;cut_&quot;プレフィックスの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-setup">cut_setup()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-teardown">cut_teardown()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-startup">cut_startup()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-shutdown">cut_shutdown()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>テストユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cutter-Object-inspection-functions">オブジェクト調査関数</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-push-backtrace">cut_push_backtrace()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-pop-backtrace">cut_pop_backtrace()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-take-replace">cut_take_replace()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-enum-parse">gcut_enum_parse()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-flags-get-all">gcut_flags_get_all()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-flags-parse">gcut_flags_parse()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-equal-int">gcut_list_equal_int()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-equal-uint">gcut_list_equal_uint()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-equal-string">gcut_list_equal_string()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-inspect-enum">gcut_list_inspect_enum()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-inspect-flags">gcut_list_inspect_flags()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-inspect-int">gcut_list_inspect_int()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-inspect-object">gcut_list_inspect_object()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-inspect-string">gcut_list_inspect_string()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-inspect-uint">gcut_list_inspect_uint()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-string-new-array">gcut_list_string_new_array()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-new-list-string-array">gcut_take_new_list_string_array()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-assert-equal-size">cut_assert_equal_size()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-return">cut_return()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-list">gcut_assert_equal_list()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-pid">gcut_assert_equal_pid()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>1.0.5: 2008-10-15</title>
  <itemizedlist>
  <listitem>
  <para>最大同時スレッド数指定のサポート</para>
  <itemizedlist>
  <listitem>
  <para>--max-threadsオプション</para>
</listitem>
  <listitem>
  <para>サブプロセスに指定する場合:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-sub-process-get-max-threads">cut_sub_process_get_max_threads()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-sub-process-set-max-threads">cut_sub_process_set_max_threads()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>GdkPixbufのサポート:</para>
  <itemizedlist>
  <listitem>
  <para>画像比較</para>
</listitem>
  <listitem>
  <para>画像差分</para>
  <itemizedlist>
  <listitem>
  <para>
  期待値: 
  <inlinemediaobject><imageobject>
  <imagedata fileref="dark-circle.png" format="PNG">

</imagedata>
</imageobject><textobject>
  <phrase>dark-circle.png</phrase>
</textobject></inlinemediaobject>
  
</para>
</listitem>
  <listitem>
  <para>
  実測値: 
  <inlinemediaobject><imageobject>
  <imagedata fileref="nested-circle.png" format="PNG">

</imagedata>
</imageobject><textobject>
  <phrase>nested-circle.png</phrase>
</textobject></inlinemediaobject>
  
</para>
</listitem>
  <listitem>
  <para>
  差分: 
  <inlinemediaobject><imageobject>
  <imagedata fileref="diff-dark-and-nested-circle.png" format="PNG">

</imagedata>
</imageobject><textobject>
  <phrase>diff-dark-and-nested-circle.png</phrase>
</textobject></inlinemediaobject>
  
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>デバッグ支援の強化:</para>
  <itemizedlist>
  <listitem>
  <para>--keep-opening-modulesオプションの追加</para>
  <itemizedlist>
  <listitem>
  <para>デバッグ時にシンボル解決できるように開いたモジュールを閉じない</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>SIGABORT時もSIGSEGV時のようにテスト結果を表示</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>--nameオプションによる繰り返しテストの指定をサポート</para>
</listitem>
  <listitem>
  <para>'but was:' -&gt; 'actual:'</para>
</listitem>
  <listitem>
  <para>テストユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-take">cut_take()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-take-memdup">cut_take_memdup()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-take-memory">cut_take_memory()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-take-strdup">cut_take_strdup()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-take-strndup">cut_take_strndup()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-new-hash-table-string-string">gcut_take_new_hash_table_string_string()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-new-list-string">gcut_take_new_list_string()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-hash-table-string-string-new">gcut_hash_table_string_string_new()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-hash-table-string-string-new-va-list">gcut_hash_table_string_string_new_va_list()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-assert-operator-double">cut_assert_operator_double()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-assert-operator-uint">cut_assert_operator_uint()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-enum">gcut_assert_equal_enum()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-error">gcut_assert_equal_error()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-flags">gcut_assert_equal_flags()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-int64">gcut_assert_equal_int64()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-list-enum">gcut_assert_equal_list_enum()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-list-flags">gcut_assert_equal_list_flags()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-list-object">gcut_assert_equal_list_object()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-list-object-custom">gcut_assert_equal_list_object_custom()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-object">gcut_assert_equal_object()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-object-custom">gcut_assert_equal_object_custom()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ユーザ独自検証作成サポートの強化:</para>
  <itemizedlist>
  <listitem>
  <para>バックトレース対応</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-trace">cut_trace()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-trace-with-info-expression">cut_trace_with_info_expression()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>
  <ulink url="writing-assertion.html">検証作成</ulink>
  
</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-writing-helper">検証作成の補助</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-Utilities-for-GEnum-and-GFlags">GEnumとGFlags用の検証ユーティリティ</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-Utilities-for-GError">GError用の検証ユーティリティ</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-Utilities-for-GHashTable">GHashTable用の検証ユーティリティ</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-Utilities-for-GList">GList用の検証ユーティリティ</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-Utilities-for-GObject">GObject用の検証ユーティリティ</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cutter-Assertion-Utilities-for-GValue">GValue用の検証ユーティリティ</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-equal-double">cut_equal_double()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cut-equal-string">cut_equal_string()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>バグ修正:</para>
  <itemizedlist>
  <listitem>
  <para>メモリリークの修正（森さん）</para>
</listitem>
  <listitem>
  <para>setup()/teardown()内での検証・エラーなどの結果がでないバグを修正</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>1.0.4: 2008-08-27</title>
  <itemizedlist>
  <listitem>
  <para>オプション:</para>
  <itemizedlist>
  <listitem>
  <para>過去のテスト結果をログとして保存する--stream-log-dirオプションの追加</para>
</listitem>
  <listitem>
  <para>テストが失敗したら中断する--fatal-failuresオプションの追加（デバッガとの連携のため）</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>結果出力:</para>
  <itemizedlist>
  <listitem>
  <para>行が長い場合は折りたたんでdiffした結果も表示</para>
</listitem>
  <listitem>
  <para>実行中を示す印（「.」や「F」）を適度に改行しながら出力</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>
  属性を設定する
  <link linkend="cut-set-attributes">cut_set_attributes()</link>
  の追加
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="cutter-Multi-Process">マルチプロセスでのテスト</link>
  をサポート
</para>
</listitem>
  <listitem>
  <para>データ駆動テストのマルチスレッド実行のサポート</para>
</listitem>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-hash-table-string-string">gcut_assert_equal_hash_table_string_string()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-time-val">gcut_assert_equal_time_val()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>便利機能の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-hash-table-string-string-new">gcut_hash_table_string_string_new()</link>
  
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-hash-table">gcut_take_hash_table()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>修正:</para>
  <itemizedlist>
  <listitem>
  <para>GOfficeがない環境でビルドが失敗する問題の修正（Kazumasa Matsunagaさんによる報告）</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>実験的:</para>
  <itemizedlist>
  <listitem>
  <para>ログを解析する--analyzerモードの追加</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>1.0.3: 2008-07-15</title>
  <itemizedlist>
  <listitem>
  <para>データ駆動テストのサポート:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-add-data">cut_add_data()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="gcut-assert-equal-list-uint">gcut_assert_equal_list_uint()</link>
  
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証の名前変更:</para>
  <itemizedlist>
  <listitem>
  <para>
  GLibサポートが必要な機能はcut_ではなくgcut_からはじまる名前に変更。以前からあるcut_はじまりの名前も使えるが非推奨。詳細は
  <link linkend="cutter-Assertions-with-GLib-support">GLibサポート付きの検証</link>
  を参照。
</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>便利機能の追加:</para>
  <itemizedlist>
  <listitem>
  <para>
  <link linkend="cut-append-diff">cut_append_diff()</link>
  :文字列にdiffを追加
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-list-string-new">gcut_list_string_new()</link>
  /
  <link linkend="gcut-list-string-free">gcut_list_string_free()</link>
  :文字列のリストの作成を支援。
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-error">gcut_take_error()</link>
  : GError *の所有権をCutterに移譲
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-list">gcut_take_list()</link>
  : GList *の所有権をCutterに移譲
</para>
</listitem>
  <listitem>
  <para>
  <link linkend="gcut-take-object">gcut_take_object()</link>
  : GObject *の所有権をCutterに移譲
</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>1.0.2: 2008-06-27</title>
  <itemizedlist>
  <listitem>
  <para>フィクスチャデータのサポート:</para>
  <itemizedlist>
  <listitem>
  <para>cut_set_fixture_data_dir()</para>
</listitem>
  <listitem>
  <para>cut_get_fixture_data_string()</para>
</listitem>
  <listitem>
  <para>cut_build_fixture_data_path()</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>ユーティリティの追加:</para>
  <itemizedlist>
  <listitem>
  <para>cut_remove_path()</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>検証の追加:</para>
  <itemizedlist>
  <listitem>
  <para>cut_assert_equal_fixture_data_string()</para>
</listitem>
  <listitem>
  <para>cut_assert_path_not_exist()</para>
</listitem>
  <listitem>
  <para>cut_assert_remove_path()</para>
</listitem>
  <listitem>
  <para>cut_error_errno()</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>実験的:</para>
  <itemizedlist>
  <listitem>
  <para>Windowsサポート</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>1.0.1: 2008-06-13</title>
  <itemizedlist>
  <listitem>
  <para>AC_CHECK_COVERAGEの改良</para>
</listitem>
  <listitem>
  <para>ドキュメント:</para>
  <itemizedlist>
  <listitem>
  <para>追加: SennaのテストをCutterで書くには</para>
</listitem>
  <listitem>
  <para>修正: GLib 2.16以上が必要</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>実験的:</para>
  <itemizedlist>
  <listitem>
  <para>GStreamerサポート:</para>
  <itemizedlist>
  <listitem>
  <para>テスト結果をリモートへの転送するなど</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>warmup()/cooldown()のサポート</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>1.0.0: 2008-05-20</title>
  <itemizedlist>
  <listitem>
  <para>検証の追加</para>
  <itemizedlist>
  <listitem>
  <para>cut_assert_equal_pointer()</para>
</listitem>
  <listitem>
  <para>cut_assert_g_error()</para>
</listitem>
  <listitem>
  <para>cut_assert_match()</para>
</listitem>
  <listitem>
  <para>cut_assert_match_with_free()</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>テスト対象から除外するファイルを指定する--exclude-fileオプションの追加</para>
</listitem>
  <listitem>
  <para>テスト対象から除外するディレクトリを指定する--exclude-dirオプションの追加</para>
</listitem>
  <listitem>
  <para>cutter.m4に--without-cutterを追加（configureのオプション）</para>
</listitem>
  <listitem>
  <para>実験的:</para>
  <itemizedlist>
  <listitem>
  <para>Cutterプロトコルの実装（CutXMLStreamerとCutStreamParser）</para>
</listitem>
  <listitem>
  <para>cut_take_g_error()の追加</para>
</listitem>
  <listitem>
  <para>Mac OS Xのサポート</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>0.9.0: 2008-05-12</title>
  <itemizedlist>
  <listitem>
  <para>検証の追加</para>
  <itemizedlist>
  <listitem>
  <para>cut_assert_equal_string_array_with_free()</para>
</listitem>
  <listitem>
  <para>cut_assert_true()</para>
</listitem>
  <listitem>
  <para>cut_assert_false()</para>
</listitem>
  <listitem>
  <para>cut_assert_file_exist()</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>AC_CHECK_GCUTTERの追加</para>
</listitem>
  <listitem>
  <para>実験的: GObjectサポート:</para>
  <itemizedlist>
  <listitem>
  <para>cut_take_g_object()</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>0.8.0: 2008-05-07</title>
  <itemizedlist>
  <listitem>
  <para>LGPL2 -&gt; LGPL3</para>
</listitem>
  <listitem>
  <para>検証の追加</para>
  <itemizedlist>
  <listitem>
  <para>cut_assert_equal_g_list_int()</para>
</listitem>
  <listitem>
  <para>cut_assert_equal_g_list_string()</para>
</listitem>
  <listitem>
  <para>cut_assert_errno()</para>
</listitem>
</itemizedlist>
</listitem>
  <listitem>
  <para>省略のサポート: cut_omit()</para>
</listitem>
  <listitem>
  <para>テストケースの最初と最後に実行するフックstartup/shutdownの追加</para>
</listitem>
  <listitem>
  <para>diffのサポート</para>
</listitem>
  <listitem>
  <para>gcovのサポート</para>
</listitem>
  <listitem>
  <para>実験的: forkのサポート:</para>
  <itemizedlist>
  <listitem>
  <para>cut_fork()</para>
</listitem>
  <listitem>
  <para>cut_wait_process()</para>
</listitem>
  <listitem>
  <para>cut_fork_get_stdout_message()</para>
</listitem>
  <listitem>
  <para>cut_fork_get_stderr_message()</para>
</listitem>
</itemizedlist>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>0.7.0: 2008-03-26</title>
  <itemizedlist>
  <listitem>
  <para>パッケージの修正</para>
</listitem>
  <listitem>
  <para>--help-allの修正</para>
</listitem>
  <listitem>
  <para>出力するXMLのフォーマットのドキュメントを追加</para>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>0.6.0: 2008-03-21</title>
  <itemizedlist>
  <listitem>
  <para>XMLで結果を出力する-xml-reportオプションの追加。</para>
</listitem>
  <listitem>
  <para>テストケース名で実行するテストケースを並び替える--test-case-orderオプションの追加。</para>
</listitem>
  <listitem>
  <para>バージョンを表示する--versionオプションの追加。</para>
</listitem>
  <listitem>
  <para>configureに--disable-bfdオプションの追加</para>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>0.5.0: 2008-03-10</title>
  <itemizedlist>
  <listitem>
  <para>パッケージもれのcutter/gbsearcharray.hを追加。</para>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>0.4.0: 2008-02-28</title>
  <itemizedlist>
  <listitem>
  <para>cut_pending() -&gt; cut_pend()。</para>
</listitem>
  <listitem>
  <para>属性サポート。</para>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>0.3.0: 2007-12-14</title>
  <itemizedlist>
  <listitem>
  <para>ドキュメントの修正。</para>
</listitem>
  <listitem>
  <para>cut_assert_equal_string_or_null()を非推奨に変更。</para>
</listitem>
  <listitem>
  <para>代わりにcut_assert_equal_string()がNULLを受け付けるように変更。</para>
</listitem>
  <listitem>
  <para>実験的なAPIをドキュメントから除外。</para>
</listitem>
</itemizedlist>
</refsect1>

<refsect1>
  <title>0.2.0: 2007-11-29</title>
  <itemizedlist>
  <listitem>
  <para>SF.netでの最初のリリース。</para>
</listitem>
</itemizedlist>
</refsect1>
</refentry>
